/* B4SMB.CMD */
'@echo off'

/* This script is executed before the Samba daemons are actually started
   You may put arbitrary tasks in here. There are several task templates
   in here. Of these only the simple removal of previous logfiles is 
   enabled by default */
   
SMB_LOGS = value("SMB_LOGS",,"OS2ENVIRONMENT")

/* Remove previous logfiles only */
say 'Removing previous logfiles'
address cmd' del 'SMB_LOGS'\log.?mbd* 2>NUL'
address cmd' del 'SMB_LOGS'\log.winb* 2>NUL'

/* Yuri Darios Logfile archiving feature */
/*
ok = SysMkDir(SMB_LOGS'\Archive')
Archive = SMB_LOGS||'\Archive\'||date('s')||'-'||translate(time('n'),'-',':')||".zip"
'zip -jmo9 'Archive' 'SMB_LOGS'\log.?mbd* 'SMB_LOGS'\log.winb*'
 */

/* Removal of transient tdb files feature
   Caution! Do not enable these, unless you know what you are doing! */

/*    
ok = SysFileDelete(SMB_LOCK||'\gencache.tdb')
ok = SysFileDelete(SMB_LOCK||'\brlock.tdb')
ok = SysFileDelete(SMB_LOCK||'\unexpected.tdb')
ok = SysFileDelete(SMB_LOCK||'\connections.tdb')
ok = SysFileDelete(SMB_LOCK||'\locking.tdb')
ok = SysFileDelete(SMB_LOCK||'\messages.tdb')
 */

say 'b4smb done.'
